Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.webservice.binding
Class ReliableBindingExtension

    java.lang.Object
      weblogic.webservice.binding.BindingExtension
          weblogic.webservice.binding.ReliableBindingExtension

Deprecated. please migrate to jws for webservices

    public class ReliableBindingExtension

extends BindingExtension

Field Summary

Fields inherited from class weblogic.webservice.binding.BindingExtension
`DIME, MAX_NUM_BIND, RELIABLE`

Constructor Summary
`ReliableBindingExtension()` Deprecated.
`ReliableBindingExtension(boolean dup, int retries, int retryIntervalSecs, int persistIntervalSecs)` Deprecated.

Method Summary
`int` | `getPersistInterval()` Deprecated.
`int` | `getRetryCount()` Deprecated.
`int` | `getRetryInterval()` Deprecated.
`boolean` | `isDuplicateElimination()` Deprecated.
`void` | `setDuplicateElimination(boolean dup)` Deprecated.
`void` | `setPersistInterval(int persistIntervalSecs)` Deprecated.
`void` | `setRetryCount(int retries)` Deprecated.
`void` | `setRetryInterval(int retryIntervalSecs)` Deprecated.

Methods inherited from class weblogic.webservice.binding.BindingExtension
`getKey, setKey`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReliableBindingExtension

    public ReliableBindingExtension()

  Deprecated.

### ReliableBindingExtension

    public ReliableBindingExtension(boolean dup,
                                    int retries,
                                    int retryIntervalSecs,
                                    int persistIntervalSecs)

  Deprecated.

Method Detail

### isDuplicateElimination

    public boolean isDuplicateElimination()

  Deprecated.

### setDuplicateElimination

    public void setDuplicateElimination(boolean dup)

  Deprecated.

### getRetryCount

    public int getRetryCount()

  Deprecated.

### setRetryCount

    public void setRetryCount(int retries)

  Deprecated.

### getRetryInterval

    public int getRetryInterval()

  Deprecated.

### setRetryInterval

    public void setRetryInterval(int retryIntervalSecs)

  Deprecated.

### getPersistInterval

    public int getPersistInterval()

  Deprecated.

### setPersistInterval

    public void setPersistInterval(int persistIntervalSecs)

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD